Page MenuHomePhabricator

UI for editing a Lexeme's lexical category (S)
Closed, ResolvedPublic

Description

The lexical category associated with a Lexeme should be editable via the UI.
It should give the user a regular item selector.
Editing should be persistent.

Estimation: S (because similar to parent task)

Related Objects

Event Timeline

daniel created this task.Jun 19 2017, 1:56 PM
Lydia_Pintscher triaged this task as High priority.Sep 4 2017, 3:06 PM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
Restricted Application added a project: Design. · View Herald TranscriptSep 4 2017, 3:17 PM

This involves a change to how the language and lexical category are present in the "view mode" too:

Edit mode would look like:

Note, the above have been originally created by @Jan_Dittrich and later lamely edited by me, so don't mind the ugly details I've introduced. Above mocks are to give the overview how it should look like.

Jonas updated the task description. (Show Details)Sep 5 2017, 12:26 PM
Jakob_WMDE moved this task from Backlog to Doing on the Wikidata-Former-Sprint-Board board.
Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Sep 20 2017, 11:17 AM
Jakob_WMDE moved this task from Doing to Backlog on the Wikidata-Former-Sprint-Board board.
Jakob_WMDE added a subscriber: Jakob_WMDE.

Change 381000 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Make lexeme language and lexical category editable.

https://gerrit.wikimedia.org/r/381000

Change 381000 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make lexeme language and lexical category editable.

https://gerrit.wikimedia.org/r/381000

Why is this in backlog when the patch is merged?

The patch only did part of the task, see https://phabricator.wikimedia.org/T168298#3689573 for more.

Notes from estimation discussion today:

  • API for this already exists
  • item selector already exists
  • edit button already exists

Not necessary:

  • No specific selector to only select a subset of items

Acceptance criteria:

  • selector behaves and look like the existing item selector
  • edits are persistent
Franziska_Heine renamed this task from UI for editing a Lexeme's lexical category to UI for editing a Lexeme's lexical category (S).Oct 24 2017, 12:07 PM

Change 386390 had a related patch set uploaded (by WMDE-leszek; owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] LemmaHeader language and lexical category formatting

https://gerrit.wikimedia.org/r/386390

WMDE-leszek moved this task from Backlog to Doing on the Wikidata-Former-Sprint-Board board.

Change 386390 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] LemmaHeader language and lexical category formatting

https://gerrit.wikimedia.org/r/386390

Charlie_WMDE moved this task from Incoming WD to Done on the WMDE-Design board.Nov 13 2017, 2:05 PM
Lydia_Pintscher closed this task as Resolved.Nov 23 2017, 1:35 PM